Skip to content
GitHub Get Started
HTTP API

Resize a process terminal.

POST
/v1/processes/{id}/terminal/resize

Sets the PTY window size (columns and rows) for a tty-mode process and sends SIGWINCH so the child process can adapt.

id
required
string

Process ID

object
cols
required
integer format: int32
rows
required
integer format: int32

Resize accepted

object
cols
required
integer format: int32
rows
required
integer format: int32

Invalid request

object
detail
string
nullable
instance
string
nullable
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties

Unknown process

object
detail
string
nullable
instance
string
nullable
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties

Not a terminal process

object
detail
string
nullable
instance
string
nullable
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties

Process API unsupported on this platform

object
detail
string
nullable
instance
string
nullable
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties